diff --git a/web/pgadmin/misc/bgprocess/static/js/Processes.jsx b/web/pgadmin/misc/bgprocess/static/js/Processes.jsx
new file mode 100644
index 000000000..65545ab4c
--- /dev/null
+++ b/web/pgadmin/misc/bgprocess/static/js/Processes.jsx
@@ -0,0 +1,290 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React, { useEffect } from 'react';
+import PgTable from 'sources/components/PgTable';
+import gettext from 'sources/gettext';
+import PropTypes from 'prop-types';
+import { makeStyles } from '@material-ui/core/styles';
+import pgAdmin from 'sources/pgadmin';
+import { BgProcessManagerEvents, BgProcessManagerProcessState } from './BgProcessManager';
+import { PgIconButton } from '../../../../static/js/components/Buttons';
+import CancelIcon from '@material-ui/icons/Cancel';
+import DescriptionOutlinedIcon from '@material-ui/icons/DescriptionOutlined';
+import DeleteIcon from '@material-ui/icons/Delete';
+import HelpIcon from '@material-ui/icons/HelpRounded';
+import url_for from 'sources/url_for';
+import { Box } from '@material-ui/core';
+
+
+const useStyles = makeStyles((theme) => ({
+  stopButton: {
+    color: theme.palette.error.main
+  },
+  buttonClick: {
+    backgroundColor: theme.palette.grey[400]
+  },
+  emptyPanel: {
+    minHeight: '100%',
+    minWidth: '100%',
+    background: theme.otherVars.emptySpaceBg,
+    overflow: 'auto',
+    padding: '8px',
+    display: 'flex',
+  },
+  panelIcon: {
+    width: '80%',
+    margin: '0 auto',
+    marginTop: '25px !important',
+    position: 'relative',
+    textAlign: 'center',
+  },
+  panelMessage: {
+    marginLeft: '0.5rem',
+    fontSize: '0.875rem',
+  },
+  autoResizer: {
+    height: '100% !important',
+    width: '100% !important',
+    background: theme.palette.grey[400],
+    padding: '7.5px',
+    overflow: 'auto !important',
+    minHeight: '100%',
+    minWidth: '100%',
+  },
+  noPadding: {
+    padding: 0,
+  },
+  bgSucess: {
+    backgroundColor: theme.palette.success.light,
+    height: '100%',
+    padding: '4px',
+  },
+  bgFailed: {
+    backgroundColor: theme.palette.error.light,
+    height: '100%',
+    padding: '4px',
+  },
+  bgTerm: {
+    backgroundColor: theme.palette.warning.light,
+    height: '100%',
+    padding: '4px',
+  },
+  bgRunning: {
+    backgroundColor: theme.palette.primary.light,
+    height: '100%',
+    padding: '4px',
+  },
+}));
+
+
+const ProcessStateTextAndColor = {
+  [BgProcessManagerProcessState.PROCESS_NOT_STARTED]: [gettext('Not started'), 'bgRunning'],
+  [BgProcessManagerProcessState.PROCESS_STARTED]: [gettext('Running'), 'bgRunning'],
+  [BgProcessManagerProcessState.PROCESS_FINISHED]: [gettext('Finished'), 'bgSucess'],
+  [BgProcessManagerProcessState.PROCESS_TERMINATED]: [gettext('Terminated'), 'bgTerm'],
+  [BgProcessManagerProcessState.PROCESS_TERMINATING]: [gettext('Terminating...'), 'bgTerm'],
+  [BgProcessManagerProcessState.PROCESS_FAILED]: [gettext('Failed'), 'bgFailed'],
+};
+
+export default function Processes() {
+  const classes = useStyles();
+  const [tableData, setTableData] = React.useState([]);
+  const [selectedRows, setSelectedRows] = React.useState([]);
+
+  let columns = [
+    {
+      accessor: 'stop_process',
+      Header: () => null,
+      sortable: false,
+      resizable: false,
+      disableGlobalFilter: true,
+      width: 35,
+      maxWidth: 35,
+      minWidth: 35,
+      id: 'btn-stop',
+      // eslint-disable-next-line react/display-name
+      Cell: ({ row }) => {
+        return (
+          <PgIconButton
+            size="xs"
+            noBorder
+            icon={<CancelIcon />}
+            className={classes.stopButton}
+            disabled={row.original.process_state != BgProcessManagerProcessState.PROCESS_STARTED
+              || row.original.server_id != null}
+            onClick={(e) => {
+              e.preventDefault();
+              pgAdmin.Browser.BgProcessManager.stopProcess(row.original.id);
+            }}
+            aria-label="Stop Process"
+            title={gettext('Stop Process')}
+          ></PgIconButton>
+        );
+      },
+    },
+    {
+      accessor: 'view_details',
+      Header: () => null,
+      sortable: false,
+      resizable: false,
+      disableGlobalFilter: true,
+      width: 35,
+      maxWidth: 35,
+      minWidth: 35,
+      id: 'btn-logs',
+      // eslint-disable-next-line react/display-name
+      Cell: ({ row }) => {
+        return (
+          <PgIconButton
+            size="xs"
+            icon={<DescriptionOutlinedIcon />}
+            noBorder
+            onClick={(e) => {
+              e.preventDefault();
+              pgAdmin.Browser.BgProcessManager.viewJobDetails(row.original.id);
+            }}
+            aria-label="View details"
+            title={gettext('View details')}
+          />
+        );
+      },
+    },
+    {
+      Header: gettext('PID'),
+      accessor: 'utility_pid',
+      sortable: true,
+      resizable: false,
+      width: 70,
+      minWidth: 70,
+      disableGlobalFilter: false,
+    },
+    {
+      Header: gettext('Type'),
+      accessor: (row)=>row.details?.type,
+      sortable: true,
+      resizable: true,
+      width: 100,
+      minWidth: 70,
+      disableGlobalFilter: false,
+    },
+    {
+      Header: gettext('Server'),
+      accessor: (row)=>row.details?.server,
+      sortable: true,
+      resizable: true,
+      width: 200,
+      minWidth: 120,
+      disableGlobalFilter: false,
+    },
+    {
+      Header: gettext('Object'),
+      accessor: (row)=>row.details?.object,
+      sortable: true,
+      resizable: true,
+      width: 200,
+      minWidth: 120,
+      disableGlobalFilter: false,
+    },
+    {
+      id: 'stime',
+      Header: gettext('Start Time'),
+      sortable: true,
+      resizable: true,
+      disableGlobalFilter: true,
+      width: 150,
+      minWidth: 150,
+      accessor: (row)=>(new Date(row.stime)),
+      Cell: ({row})=>(new Date(row.original.stime).toLocaleString()),
+    },
+    {
+      Header: gettext('Status'),
+      sortable: true,
+      resizable: false,
+      disableGlobalFilter: false,
+      width: 120,
+      minWidth: 120,
+      accessor: (row)=>ProcessStateTextAndColor[row.process_state][0],
+      dataClassName: classes.noPadding,
+      Cell: ({row})=>{
+        const [text, bgcolor] = ProcessStateTextAndColor[row.original.process_state];
+        return <Box className={classes[bgcolor]}>{text}</Box>;
+      },
+    },
+    {
+      Header: gettext('Time Taken'),
+      accessor: 'execution_time',
+      sortable: true,
+      resizable: true,
+      disableGlobalFilter: true,
+    },
+  ];
+
+  const updateList = ()=>{
+    if(pgAdmin.Browser.BgProcessManager.procList) {
+      setTableData([...pgAdmin.Browser.BgProcessManager.procList]);
+    }
+  };
+
+  useEffect(() => {
+    updateList();
+    pgAdmin.Browser.BgProcessManager.registerListener(BgProcessManagerEvents.LIST_UPDATED, updateList);
+    return ()=>{
+      pgAdmin.Browser.BgProcessManager.deregisterListener(BgProcessManagerEvents.LIST_UPDATED, updateList);
+    };
+  }, []);
+
+  return (
+    <>
+      <PgTable
+        data-test="processes"
+        className={classes.autoResizer}
+        columns={columns}
+        data={tableData}
+        sortOptions={[{id: 'stime', desc: true}]}
+        getSelectedRows={(rows)=>{setSelectedRows(rows);}}
+        isSelectRow={true}
+        CustomHeader={()=>{
+          return (
+            <Box>
+              <PgIconButton
+                className={classes.dropButton}
+                icon={<DeleteIcon/>}
+                aria-label="Acknowledge and Remove"
+                title={gettext('Acknowledge and Remove')}
+                onClick={() => {
+                  pgAdmin.Browser.BgProcessManager.acknowledge(selectedRows.map((p)=>p.original.id));
+                }}
+                disabled={selectedRows.length <= 0}
+              ></PgIconButton>
+              <PgIconButton
+                icon={<HelpIcon/>}
+                aria-label="Help"
+                title={gettext('Help')}
+                style={{marginLeft: '8px'}}
+                onClick={() => {
+                  window.open(url_for('help.static', {'filename': 'processes.html'}));
+                }}
+              ></PgIconButton>
+            </Box>
+          );
+        }}
+      ></PgTable>
+    </>
+  );
+}
+
+Processes.propTypes = {
+  res: PropTypes.array,
+  nodeData: PropTypes.object,
+  treeNodeInfo: PropTypes.object,
+  node: PropTypes.func,
+  item: PropTypes.object,
+  row: PropTypes.object,
+};
diff --git a/web/pgadmin/misc/bgprocess/static/js/index.js b/web/pgadmin/misc/bgprocess/static/js/index.js
new file mode 100644
index 000000000..b1dd50475
--- /dev/null
+++ b/web/pgadmin/misc/bgprocess/static/js/index.js
@@ -0,0 +1,22 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+import pgAdmin from 'sources/pgadmin';
+import pgBrowser from 'top/browser/static/js/browser';
+import BgProcessManager from './BgProcessManager';
+
+if (!pgAdmin.Browser) {
+  pgAdmin.Browser = {};
+}
+
+pgAdmin.Browser.BgProcessManager = BgProcessManager.getInstance(pgBrowser);
+
+module.exports = {
+  BgProcessManager: BgProcessManager,
+};
+
diff --git a/web/pgadmin/misc/bgprocess/static/js/showDetails.jsx b/web/pgadmin/misc/bgprocess/static/js/showDetails.jsx
new file mode 100644
index 000000000..5d2af220e
--- /dev/null
+++ b/web/pgadmin/misc/bgprocess/static/js/showDetails.jsx
@@ -0,0 +1,31 @@
+import React from 'react';
+import ReactDOM from 'react-dom';
+import pgAdmin from 'sources/pgadmin';
+import Theme from '../../../../static/js/Theme';
+import ProcessDetails from './ProcessDetails';
+import gettext from 'sources/gettext';
+
+export default function showDetails(p) {
+  let pgBrowser = pgAdmin.Browser;
+
+  // Register dialog panel
+  pgBrowser.Node.registerUtilityPanel();
+  let panel = pgBrowser.Node.addUtilityPanel(pgBrowser.stdW.md),
+    j = panel.$container.find('.obj_properties').first();
+  panel.title(gettext('Process Watcher - %s', p.type_desc));
+  panel.focus();
+
+  panel.on(window.wcDocker.EVENT.CLOSED, ()=>{
+    ReactDOM.unmountComponentAtNode(j[0]);
+  });
+
+  ReactDOM.render(
+    <Theme>
+      <ProcessDetails
+        data={p}
+        closeModal={()=>{
+          panel.close();
+        }}
+      />
+    </Theme>, j[0]);
+}
diff --git a/web/pgadmin/misc/cloud/__init__.py b/web/pgadmin/misc/cloud/__init__.py
index 83ec4d89e..1884dc055 100644
--- a/web/pgadmin/misc/cloud/__init__.py
+++ b/web/pgadmin/misc/cloud/__init__.py
@@ -130,11 +130,11 @@ def deploy_on_cloud():
 
     data = json.loads(request.data, encoding='utf-8')
     if data['cloud'] == 'rds':
-        status, resp = deploy_on_rds(data)
+        status, p, resp = deploy_on_rds(data)
     elif data['cloud'] == 'biganimal':
-        status, resp = deploy_on_biganimal(data)
+        status, p, resp = deploy_on_biganimal(data)
     elif data['cloud'] == 'azure':
-        status, resp = deploy_on_azure(data)
+        status, p, resp = deploy_on_azure(data)
     else:
         status = False
         resp = gettext('No cloud implementation.')
@@ -149,19 +149,22 @@ def deploy_on_cloud():
     # Return response
     return make_json_response(
         success=1,
-        data={'job_id': 1, 'node': {
-            '_id': resp['sid'],
-            '_pid': data['db_details']['gid'],
-            'connected': False,
-            '_type': 'server',
-            'icon': 'icon-server-cloud-deploy',
-            'id': 'server_{}'.format(resp['sid']),
-            'inode': True,
-            'label': resp['label'],
-            'server_type': 'pg',
-            'module': 'pgadmin.node.server',
-            'cloud_status': -1
-        }}
+        data={
+            'job_id': p.id,
+            'desc': p.desc.message,
+            'node': {
+                '_id': resp['sid'],
+                '_pid': data['db_details']['gid'],
+                'connected': False,
+                '_type': 'server',
+                'icon': 'icon-server-cloud-deploy',
+                'id': 'server_{}'.format(resp['sid']),
+                'inode': True,
+                'label': resp['label'],
+                'server_type': 'pg',
+                'module': 'pgadmin.node.server',
+                'cloud_status': -1
+            }}
     )
 
 
diff --git a/web/pgadmin/misc/cloud/azure/__init__.py b/web/pgadmin/misc/cloud/azure/__init__.py
index f60f96a8a..5d75cdb3a 100644
--- a/web/pgadmin/misc/cloud/azure/__init__.py
+++ b/web/pgadmin/misc/cloud/azure/__init__.py
@@ -721,10 +721,10 @@ def deploy_on_azure(data):
         else:
             session['azure_cache_files_list'] = {p.id: azure.azure_cache_name}
 
-        return True, {'label': _label, 'sid': sid}
+        return True, p, {'label': _label, 'sid': sid}
     except Exception as e:
         current_app.logger.exception(e)
-        return False, str(e)
+        return False, None, str(e)
     finally:
         del session['azure']['azure_obj']
 
diff --git a/web/pgadmin/misc/cloud/biganimal/__init__.py b/web/pgadmin/misc/cloud/biganimal/__init__.py
index b8a6a3f3b..a8a9ae3da 100644
--- a/web/pgadmin/misc/cloud/biganimal/__init__.py
+++ b/web/pgadmin/misc/cloud/biganimal/__init__.py
@@ -429,8 +429,8 @@ def deploy_on_biganimal(data):
         p.update_server_id(p.id, sid)
         p.start()
 
-        return True, {'label': _label, 'sid': sid}
+        return True, p, {'label': _label, 'sid': sid}
 
     except Exception as e:
         current_app.logger.exception(e)
-        return False, str(e)
+        return False, None, str(e)
diff --git a/web/pgadmin/misc/cloud/rds/__init__.py b/web/pgadmin/misc/cloud/rds/__init__.py
index fd618f8aa..5ce44ffe6 100644
--- a/web/pgadmin/misc/cloud/rds/__init__.py
+++ b/web/pgadmin/misc/cloud/rds/__init__.py
@@ -324,7 +324,7 @@ def deploy_on_rds(data):
         p.update_server_id(p.id, sid)
         p.start()
 
-        return True, {'label': _label, 'sid': sid}
+        return True, p, {'label': _label, 'sid': sid}
     except Exception as e:
         current_app.logger.exception(e)
-        return False, str(e)
+        return False, None, str(e)
diff --git a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
index 2255d6afc..eba8ef3e2 100644
--- a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
+++ b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
@@ -153,7 +153,7 @@ export default function CloudWizard({ nodeInfo, nodeData, onClose}) {
     axiosApi.post(_url, post_data)
       .then((res) => {
         pgAdmin.Browser.Events.trigger('pgadmin:browser:tree:add', res.data.data.node, {'server_group': nodeInfo['server_group']});
-        pgAdmin.Browser.Events.trigger('pgadmin-bgprocess:created');
+        pgAdmin.Browser.BgProcessManager.startProcess(res.data.data.job_id, res.data.data.desc);
         onClose();
       })
       .catch((error) => {
diff --git a/web/pgadmin/misc/cloud/utils/__init__.py b/web/pgadmin/misc/cloud/utils/__init__.py
index 6d91ad8c3..ecf39c996 100644
--- a/web/pgadmin/misc/cloud/utils/__init__.py
+++ b/web/pgadmin/misc/cloud/utils/__init__.py
@@ -14,6 +14,7 @@ from pgadmin.misc.bgprocess.processes import IProcessDesc
 from pgadmin.utils import html
 from pgadmin.model import db, Server
 from flask_babel import gettext
+from pgadmin.utils import get_server
 
 
 def get_my_ip():
@@ -79,13 +80,15 @@ class CloudProcessDesc(IProcessDesc):
             self.provider, self.instance_name))
 
     def details(self, cmd, args):
-        res = '<div>' + self.message
-        res += '</div><div class="py-1">'
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(self.cmd)
-        res += '</div></div>'
-
-        return res
+        server = getattr(get_server(self.sid), 'name', "Not available")
+
+        return {
+            "message": self.message,
+            "cmd": cmd,
+            "server": server,
+            "object": self.instance_name,
+            "type": self.provider,
+        }
 
     @property
     def type_desc(self):
diff --git a/web/pgadmin/misc/dependencies/static/js/Dependencies.jsx b/web/pgadmin/misc/dependencies/static/js/Dependencies.jsx
index b4e0f0b19..7a23b0eca 100644
--- a/web/pgadmin/misc/dependencies/static/js/Dependencies.jsx
+++ b/web/pgadmin/misc/dependencies/static/js/Dependencies.jsx
@@ -80,21 +80,21 @@ export default function Dependencies({ nodeData, item, node, ...props }) {
     {
       Header: 'Type',
       accessor: 'type',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'Name',
       accessor: 'name',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'Restriction',
       accessor: 'field',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 280,
diff --git a/web/pgadmin/misc/dependents/static/js/Dependents.jsx b/web/pgadmin/misc/dependents/static/js/Dependents.jsx
index ef43ce79a..0c54c36cf 100644
--- a/web/pgadmin/misc/dependents/static/js/Dependents.jsx
+++ b/web/pgadmin/misc/dependents/static/js/Dependents.jsx
@@ -81,21 +81,21 @@ export default function Dependents({ nodeData, item, node, ...props }) {
     {
       Header: 'Type',
       accessor: 'type',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'Name',
       accessor: 'name',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'Restriction',
       accessor: 'field',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 280,
diff --git a/web/pgadmin/misc/properties/CollectionNodeProperties.jsx b/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
index c4550ee7e..71a9b64dc 100644
--- a/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
+++ b/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
@@ -65,7 +65,7 @@ const useStyles = makeStyles((theme) => ({
     overflowX: 'auto !important'
   },
   dropButton: {
-    marginRight: '5px !important'
+    marginRight: '8px !important'
   },
   readOnlySwitch: {
     opacity: 0.75,
@@ -99,14 +99,14 @@ export function CollectionNodeView({
     {
       Header: 'properties',
       accessor: 'Properties',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'value',
       accessor: 'value',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
@@ -209,7 +209,7 @@ export function CollectionNodeView({
               column = {
                 Header: field.label,
                 accessor: field.id,
-                sortble: true,
+                sortable: true,
                 resizable: true,
                 disableGlobalFilter: false,
                 minWidth: 0,
@@ -222,7 +222,7 @@ export function CollectionNodeView({
               column = {
                 Header: field.label,
                 accessor: field.id,
-                sortble: true,
+                sortable: true,
                 resizable: true,
                 disableGlobalFilter: false,
                 minWidth: 0,
@@ -236,7 +236,7 @@ export function CollectionNodeView({
           column = {
             Header: field,
             accessor: field,
-            sortble: true,
+            sortable: true,
             resizable: true,
             disableGlobalFilter: false,
             minWidth: 0,
@@ -267,7 +267,7 @@ export function CollectionNodeView({
     }
   }, [itemNodeData, node, item, reload]);
 
-  const customHeader = () => {
+  const CustomHeader = () => {
     return (
       <Box >
         <PgIconButton
@@ -308,7 +308,7 @@ export function CollectionNodeView({
           (
             <PgTable
               isSelectRow={!('catalog' in treeNodeInfo) && (itemNodeData.label !== 'Catalogs') && _.isUndefined(node?.canSelect)}
-              customHeader={customHeader}
+              CustomHeader={CustomHeader}
               className={classes.autoResizer}
               columns={pgTableColumns}
               data={data}
diff --git a/web/pgadmin/misc/statistics/static/js/Statistics.jsx b/web/pgadmin/misc/statistics/static/js/Statistics.jsx
index 4da011dda..077edf258 100644
--- a/web/pgadmin/misc/statistics/static/js/Statistics.jsx
+++ b/web/pgadmin/misc/statistics/static/js/Statistics.jsx
@@ -61,7 +61,7 @@ function getColumn(data, singleLineStatistics) {
           column = {
             Header: row.name,
             accessor: row.name,
-            sortble: true,
+            sortable: true,
             resizable: true,
             disableGlobalFilter: false,
             sortType: ((rowA, rowB, id) => {
@@ -72,7 +72,7 @@ function getColumn(data, singleLineStatistics) {
           column = {
             Header: row.name,
             accessor: row.name,
-            sortble: true,
+            sortable: true,
             resizable: true,
             disableGlobalFilter: false,
           };
@@ -87,14 +87,14 @@ function getColumn(data, singleLineStatistics) {
       {
         Header: gettext('Statistics'),
         accessor: 'name',
-        sortble: true,
+        sortable: true,
         resizable: true,
         disableGlobalFilter: false,
       },
       {
         Header: 'Value',
         accessor: 'value',
-        sortble: true,
+        sortable: true,
         resizable: true,
         disableGlobalFilter: false,
       },
@@ -165,14 +165,14 @@ export default function Statistics({ nodeData, item, node, ...props }) {
     {
       Header: 'Statictics',
       accessor: 'name',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       Header: 'Value',
       accessor: 'value',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
diff --git a/web/pgadmin/static/js/api_instance.js b/web/pgadmin/static/js/api_instance.js
index 4a4c65467..fdeb108bb 100644
--- a/web/pgadmin/static/js/api_instance.js
+++ b/web/pgadmin/static/js/api_instance.js
@@ -14,14 +14,13 @@ import axios from 'axios';
 /* Get the axios instance to call back end APIs.
 Do not import axios directly, instead use this */
 export default function getApiInstance(headers={}) {
-  const api = axios.create({
+  return axios.create({
     headers: {
       'Content-type': 'application/json',
       [pgAdmin.csrf_token_header]: pgAdmin.csrf_token,
       ...headers,
     }
   });
-  return api;
 }
 
 export function parseApiError(error) {
diff --git a/web/pgadmin/static/js/components/Buttons.jsx b/web/pgadmin/static/js/components/Buttons.jsx
index c446926c5..27dabf998 100644
--- a/web/pgadmin/static/js/components/Buttons.jsx
+++ b/web/pgadmin/static/js/components/Buttons.jsx
@@ -81,6 +81,17 @@ const useStyles = makeStyles((theme)=>({
   },
   noBorder: {
     border: 0,
+    color: 'inherit',
+    backgroundColor: 'transparent',
+    '&:hover': {
+      border: 0,
+      color: 'inherit',
+      backgroundColor: 'inherit',
+      filter: 'brightness(85%)',
+    },
+    '&.Mui-disabled': {
+      border: 0,
+    },
   }
 }));
 
diff --git a/web/pgadmin/static/js/components/FormComponents.jsx b/web/pgadmin/static/js/components/FormComponents.jsx
index 6b72869df..3265c767e 100644
--- a/web/pgadmin/static/js/components/FormComponents.jsx
+++ b/web/pgadmin/static/js/components/FormComponents.jsx
@@ -371,7 +371,8 @@ export const InputText = forwardRef(({
         maxLength: controlProps?.multiline ? null : maxlength,
         'aria-describedby': helpid,
         ...(type ? { pattern: !_.isUndefined(controlProps) && !_.isUndefined(controlProps.pattern) ? controlProps.pattern : patterns[type] } : {}),
-        style: inputStyle || {}
+        style: inputStyle || {},
+        autoComplete: 'new-password',
       }}
       readOnly={Boolean(readonly)}
       disabled={Boolean(disabled)}
@@ -1167,6 +1168,7 @@ const useStylesFormFooter = makeStyles((theme) => ({
     padding: theme.spacing(0.5),
     display: 'flex',
     alignItems: 'center',
+    minHeight: '36px',
   },
   containerSuccess: {
     borderColor: theme.palette.success.main,
@@ -1290,11 +1292,13 @@ FormInputSelectThemes.propTypes = {
 };
 
 
-export function NotifierMessage({ type = MESSAGE_TYPE.SUCCESS, message, closable = true, showIcon=true, textCenter=false, onClose = () => {/*This is intentional (SonarQube)*/ } }) {
+export function NotifierMessage({
+  type = MESSAGE_TYPE.SUCCESS, message, style, closable = true, showIcon=true, textCenter=false,
+  onClose = () => {/*This is intentional (SonarQube)*/ }}) {
   const classes = useStylesFormFooter();
 
   return (
-    <Box className={clsx(classes.container, classes[`container${type}`])}>
+    <Box className={clsx(classes.container, classes[`container${type}`])} style={style}>
       {showIcon && <FormIcon type={type} className={classes[`icon${type}`]} />}
       <Box className={textCenter ? classes.messageCenter : classes.message}>{HTMLReactParse(message || '')}</Box>
       {closable && <IconButton className={clsx(classes.closeButton, classes[`icon${type}`])} onClick={onClose}>
@@ -1311,6 +1315,7 @@ NotifierMessage.propTypes = {
   showIcon: PropTypes.bool,
   textCenter: PropTypes.bool,
   onClose: PropTypes.func,
+  style: PropTypes.object,
 };
 
 
